Subject: Re: bug#54562: 28.0.91; Emoji sequence not composed

From: Robert Pluim <[email-masked]>
Date: Mon, 28 Mar 2022 09:47:54 +0200

>>>>> On Mon, 28 Mar 2022 08:19:39 +0800, Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> said:

    Po> Robert Pluim <[email-masked]> writes:
    >> (I think 20f1-20ff are actually codepoint non grata, but I canʼt find
    >> the reference for the moment)
    >> 
    >> gedit combines some of them, but not others. It does not use the emoji
    >> font for 0037 20e3, though, you need to add fe0f in the middle for
    >> that to happen.

    Po> For me, Gedit combines everything in that list before 20f1, except for
    Po> 20e3 and 20dd.

    >> libreoffice combines more, but not the same set as gedit. It does
    >> however render 0037 20e3 with the emoji font.

    Po> I see the same results with LibreOffice as in your screenshot.

OK. So it sounds like we should perhaps look at doing composition for
the codepoints in that block by doing face lookup based on the
combining character rather than the base character. Eli, should we
look at doing that for other combining characters, such as Andreas'
0308?

Robert
--